<?php
/**
 * @file
 * Contains \Drupal\google_analytics_light_report\Controller\GoogleAnalyticsLightReportPageTopBrowserView.
 */

namespace Drupal\google_analytics_light_report\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Component\Utility\UrlHelper;
use Symfony\Component\HttpFoundation\JsonResponse;

class GoogleAnalyticsLightReportPageTopBrowserView extends ControllerBase {
  public function content() {
    $library_exist = google_analytics_light_report_library_exists();
    $profileid = '';
    if (!empty($library_exist)) {
      $analytics = google_analytics_light_report_initialize_analytics();
      $profileid = google_analytics_light_report_get_profile_id($analytics);
    }
    $data = array();

    if (!empty($profileid)) {
      $results = $analytics->data_ga->get('ga:' . $profileid,
            '30daysAgo',
            'today',
            'ga:pageviews',
                array(
                  'dimensions'  => 'ga:browser',
                  'sort'        => '-ga:pageviews',
                )
             );
      $rows = $results->getRows();
      $data = array();
      foreach ($rows as $row) {
        $data[] = array(
          'name'   => $row[0],
          'value'  => $row[1],
        );
      }
    }
    return new JsonResponse($data);
  }
}
