<?php
/**
 * @file
 * Contains \Drupal\google_analytics_light_report\Controller\GoogleAnalyticsLightReportPageUserViewYear.
 */

namespace Drupal\google_analytics_light_report\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Component\Utility\UrlHelper;
use Symfony\Component\HttpFoundation\JsonResponse;

class GoogleAnalyticsLightReportPageUserViewYear extends ControllerBase {
  public function content() {

    $library_exist = google_analytics_light_report_library_exists();
    $profileid = '';
    if (!empty($library_exist)) {
      $analytics = google_analytics_light_report_initialize_analytics();
      $profileid = google_analytics_light_report_get_profile_id($analytics);
    }
    $data = array();

    if (!empty($profileid)) {
      $results = $analytics->data_ga->get('ga:' . $profileid,
            '365daysAgo',
            GOOGLE_ANALYTICS_LIGHT_REPORT_REPORT_START,
            'ga:users',
            array(
              'dimensions'  => 'ga:month',
              'sort'        => '-ga:month',
            )
          );
      $rows = $results->getRows();
      foreach ($rows as $row) {
        $data[] = array(
          'user'   => $row[1],
          'day'  => $row[0],
        );
      }
    }
    return new JsonResponse($data);

  }
}
